# -*- coding: utf-8 -*-
"""Create HAWCStab2 and step-wind files from base (turbulent) htc
"""
from refutils import turb_to_hs2, turb_to_step


mod_dir = '../dtu-10mw-rwt/'
basename = 'DTU_10MW_RWT'

htc_base = mod_dir + f'htc/{basename}.htc'
kwargs = {}  # default kwargs in functions are for DTU 10 MW, no need to update

# HAWCSTAB2
hs2_path = mod_dir + f'{basename}_hs2.htc'
turb_to_hs2(htc_base, hs2_path, **kwargs)

# STEP WIND
step_path = mod_dir + f'htc/{basename}_step.htc'
turb_to_step(htc_base, step_path, **kwargs)
